[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

xorg-server: Changes to 'debian-experimental'



 debian/README.source                    |   41 --
 debian/changelog                        |   42 ++
 debian/control                          |    4 
 debian/patches/20-update-gpu-pitch.diff |   27 +
 debian/patches/series                   |    1 
 debian/rules                            |   18 
 debian/xserver-xorg-core.postinst.in    |   27 -
 debian/xserver-xorg-core.postrm         |   14 
 debian/xserver-xorg-core.postrm.in      |   24 -
 debian/xserver-xorg-core.preinst.in     |   21 -
 debian/xsfbs/repack.sh                  |   32 -
 debian/xsfbs/xsfbs.mk                   |  285 --------------
 debian/xsfbs/xsfbs.sh                   |  622 --------------------------------
 13 files changed, 114 insertions(+), 1044 deletions(-)

New commits:
commit 771a6da6621b908439907f8f4445d37a39a8c76c
Author: Cyril Brulebois <kibi@debian.org>
Date:   Sun Feb 20 07:02:25 2011 +0100

    Upload to experimental.

diff --git a/debian/changelog b/debian/changelog
index b7226b6..0d5bd6f 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,4 +1,4 @@
-xorg-server (2:1.9.99.902-2) UNRELEASED; urgency=low
+xorg-server (2:1.9.99.902-2) experimental; urgency=low
 
   * Bump dependency on x11proto-randr-dev, needed since xorg-server.pc
     pulls a newer randrproto version.
@@ -10,7 +10,7 @@ xorg-server (2:1.9.99.902-2) UNRELEASED; urgency=low
     - Don't bump the x11proto-kb-dev dependency (even etch had a
       sufficient version).
 
- -- Cyril Brulebois <kibi@debian.org>  Sat, 19 Feb 2011 16:56:06 +0100
+ -- Cyril Brulebois <kibi@debian.org>  Sun, 20 Feb 2011 07:02:20 +0100
 
 xorg-server (2:1.9.99.902-1) experimental; urgency=low
 

commit 11acc640ffa41a7afa0ae8b68b98b8193b2ee7d9
Author: Cyril Brulebois <kibi@debian.org>
Date:   Sun Feb 20 06:53:54 2011 +0100

    Mention other occurrences of SDK_REQUIRED_MODULES in configure.ac

diff --git a/debian/README.source b/debian/README.source
index b0c17c6..f33e314 100644
--- a/debian/README.source
+++ b/debian/README.source
@@ -61,4 +61,6 @@ Updating xorg-server to a new upstream release
 * We have to keep track of the SDK_REQUIRED_MODULES variable in
   configure.ac. It is used to determine xorg-server.pc's dependencies
   so xserver-xorg-dev's dependencies have to be adjusted when this
-  variable changes.
+  variable changes. This variable is set to a list of modules, but is
+  updated a few times. It's probably a good idea to use:
+    git grep SDK_REQUIRED_MODULES= -- configure.ac

commit cf1a3e48dbef08942ed9decff66ba5ecefeb4911
Author: Cyril Brulebois <kibi@debian.org>
Date:   Sun Feb 20 06:42:10 2011 +0100

    Bump dependencies according to SDK_REQUIRED_MODULES.

diff --git a/debian/changelog b/debian/changelog
index b65e7c0..b7226b6 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -5,6 +5,10 @@ xorg-server (2:1.9.99.902-2) UNRELEASED; urgency=low
   * Merge from debian-unstable (picking packaging updates from 2:1.9.4-3).
   * Mention some basic checks to perform when updating to a new upstream
     release, in README.source: ABI bumps and SDK_REQUIRED_MODULES updates.
+  * Accordingly:
+    - Bump the x11proto-xext-dev dependency.
+    - Don't bump the x11proto-kb-dev dependency (even etch had a
+      sufficient version).
 
  -- Cyril Brulebois <kibi@debian.org>  Sat, 19 Feb 2011 16:56:06 +0100
 
diff --git a/debian/control b/debian/control
index 5db4d9f..25568aa 100644
--- a/debian/control
+++ b/debian/control
@@ -151,7 +151,7 @@ Depends:
  libpixman-1-dev (>= 0.15.20),
  x11proto-core-dev (>= 7.0.17),
  x11proto-input-dev (>= 1.9.99.902),
- x11proto-xext-dev (>= 7.0.99.3),
+ x11proto-xext-dev (>= 7.1.99),
  x11proto-video-dev,
  x11proto-randr-dev (>= 1.3.99),
  x11proto-render-dev (>= 2:0.11),

commit 2ec8c67c81e8fa1316a761dd75605f1cdb4b5759
Author: Cyril Brulebois <kibi@debian.org>
Date:   Sun Feb 20 06:24:10 2011 +0100

    Mention some basic checks to perform when updating to a new upstream release, in README.source: ABI bumps and SDK_REQUIRED_MODULES updates.

diff --git a/debian/README.source b/debian/README.source
index 5716df4..b0c17c6 100644
--- a/debian/README.source
+++ b/debian/README.source
@@ -47,3 +47,18 @@ are involved:
   case, it appears directly in the .diff.gz.
 * Otherwise, the patch is added to debian/patches/ which is managed
   with quilt as documented in /usr/share/doc/quilt/README.source.
+
+----------------------------------------------
+Updating xorg-server to a new upstream release
+----------------------------------------------
+
+* The abibumpcheck target helps us notice any ABI bump:
+  - A major ABI bump means drivers have to be rebuilt.
+  - A minor ABI bump means the version in serverminver has to be
+    bumped.
+  Reference documentation about dependencies is available at:
+    http://pkg-xorg.alioth.debian.org/reference/dependencies.html
+* We have to keep track of the SDK_REQUIRED_MODULES variable in
+  configure.ac. It is used to determine xorg-server.pc's dependencies
+  so xserver-xorg-dev's dependencies have to be adjusted when this
+  variable changes.
diff --git a/debian/changelog b/debian/changelog
index 8c254e4..b65e7c0 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,8 @@ xorg-server (2:1.9.99.902-2) UNRELEASED; urgency=low
   * Bump dependency on x11proto-randr-dev, needed since xorg-server.pc
     pulls a newer randrproto version.
   * Merge from debian-unstable (picking packaging updates from 2:1.9.4-3).
+  * Mention some basic checks to perform when updating to a new upstream
+    release, in README.source: ABI bumps and SDK_REQUIRED_MODULES updates.
 
  -- Cyril Brulebois <kibi@debian.org>  Sat, 19 Feb 2011 16:56:06 +0100
 

commit 9290df6b67264b703928371be7457f43e453404f
Author: Cyril Brulebois <kibi@debian.org>
Date:   Sun Feb 20 06:20:51 2011 +0100

    Fix typo in changelog.

diff --git a/debian/changelog b/debian/changelog
index 2b173c1..8c254e4 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -43,7 +43,7 @@ xorg-server (2:1.9.4-3) unstable; urgency=low
     - Use quilt.make, $(QUILT_STAMPFN), unpatch.
     - Define SOURCE_NAME and SOURCE_VERSION.
   * Remove debian/xsfbs accordingly.
-  * Remove reference to xsfbs in README.Debian accordingly.
+  * Remove reference to xsfbs in README.source accordingly.
   * Add patch: 20-update-gpu-pitch.diff (from upstream bug 33929), fixing
     issues with the radeon driver (Closes: #613957).
 

commit ba0fc4cca1e86324163e7bd5cb93186b6184a0a6
Author: Cyril Brulebois <kibi@debian.org>
Date:   Sun Feb 20 05:35:59 2011 +0100

    Upload to unstable.

diff --git a/debian/changelog b/debian/changelog
index 48c8b3f..07eb1a3 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,4 +1,4 @@
-xorg-server (2:1.9.4-3) UNRELEASED; urgency=low
+xorg-server (2:1.9.4-3) unstable; urgency=low
 
   * Maintainer script clean-up:
     - xserver-xorg-core.preinst.in: Remove, 1.5 is long gone.
@@ -16,7 +16,7 @@ xorg-server (2:1.9.4-3) UNRELEASED; urgency=low
   * Add patch: 20-update-gpu-pitch.diff (from upstream bug 33929), fixing
     issues with the radeon driver (Closes: #613957).
 
- -- Cyril Brulebois <kibi@debian.org>  Sat, 19 Feb 2011 17:37:18 +0100
+ -- Cyril Brulebois <kibi@debian.org>  Sun, 20 Feb 2011 05:35:50 +0100
 
 xorg-server (2:1.9.4-2) unstable; urgency=low
 

commit 79a804da9af276d3916a173752e2fdc3934d994f
Author: Cyril Brulebois <kibi@debian.org>
Date:   Sun Feb 20 05:34:49 2011 +0100

    Add patch: 20-update-gpu-pitch.diff (from upstream bug 33929), fixing issues with the radeon driver (Closes: #613957).

diff --git a/debian/changelog b/debian/changelog
index 5fa568e..48c8b3f 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -13,6 +13,8 @@ xorg-server (2:1.9.4-3) UNRELEASED; urgency=low
     - Define SOURCE_NAME and SOURCE_VERSION.
   * Remove debian/xsfbs accordingly.
   * Remove reference to xsfbs in README.Debian accordingly.
+  * Add patch: 20-update-gpu-pitch.diff (from upstream bug 33929), fixing
+    issues with the radeon driver (Closes: #613957).
 
  -- Cyril Brulebois <kibi@debian.org>  Sat, 19 Feb 2011 17:37:18 +0100
 
diff --git a/debian/patches/20-update-gpu-pitch.diff b/debian/patches/20-update-gpu-pitch.diff
new file mode 100644
index 0000000..d63a1e9
--- /dev/null
+++ b/debian/patches/20-update-gpu-pitch.diff
@@ -0,0 +1,27 @@
+diff --git a/exa/exa_mixed.c b/exa/exa_mixed.c
+index 606f1e1..fd1afb2 100644
+--- a/exa/exa_mixed.c
++++ b/exa/exa_mixed.c
+@@ -175,8 +175,10 @@ exaModifyPixmapHeader_mixed(PixmapPtr pPixmap, int width, int height, int depth,
+ 	depth != pPixmap->drawable.depth ||
+ 	bitsPerPixel != pPixmap->drawable.bitsPerPixel) {
+ 	if (pExaPixmap->driverPriv) {
+-            exaSetFbPitch(pExaScr, pExaPixmap,
+-                          width, height, bitsPerPixel);
++	    if (devKind > 0)
++		pExaPixmap->fb_pitch = devKind;
++	    else
++		exaSetFbPitch(pExaScr, pExaPixmap, width, height, bitsPerPixel);
+ 
+             exaSetAccelBlock(pExaScr, pExaPixmap,
+                              width, height, bitsPerPixel);
+@@ -187,8 +189,7 @@ exaModifyPixmapHeader_mixed(PixmapPtr pPixmap, int width, int height, int depth,
+ 	if (has_gpu_copy && pExaPixmap->sys_ptr) {
+ 	    free(pExaPixmap->sys_ptr);
+ 	    pExaPixmap->sys_ptr = NULL;
+-	    pExaPixmap->sys_pitch = devKind > 0 ? devKind :
+-	        PixmapBytePad(width, depth);
++	    pExaPixmap->sys_pitch = PixmapBytePad(width, depth);
+ 	    DamageUnregister(&pPixmap->drawable, pExaPixmap->pDamage);
+ 	    DamageDestroy(pExaPixmap->pDamage);
+ 	    pExaPixmap->pDamage = NULL;
diff --git a/debian/patches/series b/debian/patches/series
index f850345..be478a7 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -6,3 +6,4 @@
 #13_debian_add_xkbpath_env_variable.diff
 15-nouveau.diff
 16-xaa-fbcomposite-fix-negative-size.diff
+20-update-gpu-pitch.diff

commit 7e28316d444b7624611482b2dbf44ed872edbc97
Author: Cyril Brulebois <kibi@debian.org>
Date:   Sat Feb 19 20:23:31 2011 +0100

    Remove reference to xsfbs in README.Debian accordingly.

diff --git a/debian/README.source b/debian/README.source
index b09a1ab..5716df4 100644
--- a/debian/README.source
+++ b/debian/README.source
@@ -6,12 +6,12 @@ Quick Guide To Patching This Package For The Impatient
 2. Unpack the package as usual with "dpkg-source -x"
 3. Run the "patch" target in debian/rules
 4. Create a new patch with "quilt new" (see quilt(1))
-5. Edit all the files you want to include in the patch with "quilt edit" 
+5. Edit all the files you want to include in the patch with "quilt edit"
    (see quilt(1)).
 6. Write the patch with "quilt refresh" (see quilt(1))
 7. Run the "clean" target in debian/rules
 
-Alternatively, instead of using quilt directly, you can drop the patch in to 
+Alternatively, instead of using quilt directly, you can drop the patch in to
 debian/patches and add the name of the patch to debian/patches/series.
 
 ------------------------------------
@@ -47,27 +47,3 @@ are involved:
   case, it appears directly in the .diff.gz.
 * Otherwise, the patch is added to debian/patches/ which is managed
   with quilt as documented in /usr/share/doc/quilt/README.source.
-
-quilt is actually invoked by the Debian X packaging through a larger
-set of scripts called XSFBS. XSFBS brings some other X specific
-features such as managing dependencies and conflicts due to the video
-and input driver ABIs.
-XSFBS itself is maintained in a separate repository at
-  git://git.debian.org/pkg-xorg/xsfbs.git
-and it is pulled inside the other Debian X repositories when needed.
-
-The XSFBS patching system requires a build dependency on quilt. Also
-a dependency on $(STAMP_DIR)/patch has to be added to debian/rules
-so that the XSFBS patching occurs before the actual build. So the
-very first target of the build (likely the one running autoreconf)
-should depend on $(STAMP_DIR)/patch. It should also not depend on
-anything so that parallel builds are correctly supported (nothing
-should probably run while patching is being done). And finally, the
-clean target should depend on the xsfclean target so that patches
-are unapplied on clean.
-
-When the upstream sources contain some DFSG-nonfree files, they are
-listed in text files in debian/prune/ in the "debian-*" branch of
-the Debian repository. XSFBS' scripts then take care of removing
-these listed files during the build so as to generate a modified
-DFSG-free .orig.tar.gz tarball.
diff --git a/debian/changelog b/debian/changelog
index 9168b67..5fa568e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -12,6 +12,7 @@ xorg-server (2:1.9.4-3) UNRELEASED; urgency=low
     - Use quilt.make, $(QUILT_STAMPFN), unpatch.
     - Define SOURCE_NAME and SOURCE_VERSION.
   * Remove debian/xsfbs accordingly.
+  * Remove reference to xsfbs in README.Debian accordingly.
 
  -- Cyril Brulebois <kibi@debian.org>  Sat, 19 Feb 2011 17:37:18 +0100
 

commit 6ba2b9408617e9adbcb8d9bd84f5d913449de6c4
Author: Cyril Brulebois <kibi@debian.org>
Date:   Sat Feb 19 20:11:19 2011 +0100

    Remove debian/xsfbs accordingly.

diff --git a/debian/changelog b/debian/changelog
index df3c782..9168b67 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -11,6 +11,7 @@ xorg-server (2:1.9.4-3) UNRELEASED; urgency=low
     - Create/clean stampdir/.
     - Use quilt.make, $(QUILT_STAMPFN), unpatch.
     - Define SOURCE_NAME and SOURCE_VERSION.
+  * Remove debian/xsfbs accordingly.
 
  -- Cyril Brulebois <kibi@debian.org>  Sat, 19 Feb 2011 17:37:18 +0100
 
diff --git a/debian/xsfbs/repack.sh b/debian/xsfbs/repack.sh
deleted file mode 100755
index 5935cc9..0000000
--- a/debian/xsfbs/repack.sh
+++ /dev/null
@@ -1,32 +0,0 @@
-#!/bin/sh
-
-set -e
-
-if ! [ -d debian/prune ]; then
-	exit 0
-fi
-
-if [ "x$1" != x--upstream-version ]; then
-	exit 1
-fi
-
-version="$2"
-filename="$3"
-
-if [ -z "$version" ] || ! [ -f "$filename" ]; then
-	exit 1
-fi
-
-dir="$(pwd)"
-tempdir="$(mktemp -d)"
-
-cd "$tempdir"
-tar xf "$dir/$filename"
-cat "$dir"/debian/prune/* | while read file; do rm -f */$file; done
-
-tar czf "$dir/$filename" *
-cd "$dir"
-rm -rf "$tempdir"
-echo "Done pruning upstream tarball"
-
-exit 0
diff --git a/debian/xsfbs/xsfbs.mk b/debian/xsfbs/xsfbs.mk
deleted file mode 100755
index 77c4a39..0000000
--- a/debian/xsfbs/xsfbs.mk
+++ /dev/null
@@ -1,285 +0,0 @@
-#!/usr/bin/make -f
-
-# Debian X Strike Force Build System (XSFBS): Make portion
-
-# Copyright 1996 Stephen Early
-# Copyright 1997 Mark Eichin
-# Copyright 1998-2005, 2007 Branden Robinson
-# Copyright 2005 David Nusinow
-#
-# Licensed under the GNU General Public License, version 2.  See the file
-# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
-
-# Originally by Stephen Early <sde1000@debian.org>
-# Modified by Mark W. Eichin <eichin@kitten.gen.ma.us>
-# Modified by Adam Heath <doogie@debian.org>
-# Modified by Branden Robinson <branden@debian.org>
-# Modified by Fabio Massimo Di Nitto <fabbione@fabbione.net>
-# Modified by David Nusinow <dnusinow@debian.org>
-# Acknowledgements to Manoj Srivastava.
-
-# Pass $(DH_OPTIONS) into the environment for debhelper's benefit.
-export DH_OPTIONS
-
-# force quilt to not use ~/.quiltrc and to use debian/patches
-QUILT = QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null
-
-# Set up parameters for the upstream build environment.
-
-# Determine (source) package name from Debian changelog.
-SOURCE_NAME:=$(shell dpkg-parsechangelog -ldebian/changelog \
-                        | grep '^Source:' | awk '{print $$2}')
-
-# Determine package version from Debian changelog.
-SOURCE_VERSION:=$(shell dpkg-parsechangelog -ldebian/changelog \
-                        | grep '^Version:' | awk '{print $$2}')
-
-# Determine upstream version number.
-UPSTREAM_VERSION:=$(shell echo $(SOURCE_VERSION) | sed 's/-.*//')
-
-# Determine the source version without the epoch for make-orig-tar-gz
-NO_EPOCH_VER:=$(shell echo $(UPSTREAM_VERSION) | sed 's/^.://')
-
-# Figure out who's building this package.
-BUILDER:=$(shell echo $${DEBEMAIL:-$${EMAIL:-$$(echo $$LOGNAME@$$(cat /etc/mailname 2>/dev/null))}})
-
-# Find out if this is an official build; an official build has nothing but
-# digits, dots, and/or the codename of a release in the Debian part of the
-# version number.  Anything else indicates an unofficial build.
-OFFICIAL_BUILD:=$(shell VERSION=$(SOURCE_VERSION); if ! expr "$$(echo $${VERSION\#\#*-} | sed 's/\(woody\|sarge\|etch\|lenny\)//g')" : ".*[^0-9.].*" >/dev/null 2>&1; then echo yes; fi)
-
-# Set up parameters for the Debian build environment.
-
-# Determine our architecture.
-BUILD_ARCH:=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
-# Work around some old-time dpkg braindamage.
-BUILD_ARCH:=$(subst i486,i386,$(BUILD_ARCH))
-# The DEB_HOST_ARCH variable may be set per the Debian cross-compilation policy.
-ifdef DEB_HOST_ARCH
- ARCH:=$(DEB_HOST_ARCH)
-else
- # dpkg-cross sets the ARCH environment variable; if set, use it.
- ifdef ARCH
-  ARCH:=$(ARCH)
- else
-  ARCH:=$(BUILD_ARCH)
- endif
-endif
-
-# $(STAMP_DIR) houses stamp files for complex targets.
-STAMP_DIR:=stampdir
-
-# $(DEBTREEDIR) is where all install rules are told (via $(DESTDIR)) to place
-# their files.
-DEBTREEDIR:=$(CURDIR)/debian/tmp
-
-# All "important" targets have four lines:
-#   1) A target name that is invoked by a package-building tool or the user.
-#      This consists of a dependency on a "$(STAMP_DIR)/"-prefixed counterpart.
-#   2) A line delcaring 1) as a phony target (".PHONY:").
-#   3) A "$(STAMP_DIR)/"-prefixed target which does the actual work, and may
-#   depend on other targets.
-#   4) A line declaring 3) as a member of the $(stampdir_targets) variable; the
-#   "$(STAMP_DIR)/" prefix is omitted.
-#
-# This indirection is needed so that the "stamp" files that signify when a rule
-# is done can be located in a separate "stampdir".  Recall that make has no way
-# to know when a goal has been met for a phony target (like "build" or
-# "install").
-#
-# At the end of each "$(STAMP_DIR)/" target, be sure to run the command ">$@"
-# so that the target will not be run again.  Removing the file will make Make
-# run the target over.
-
-# All phony targets should be declared as dependencies of .PHONY, even if they
-# do not have "($STAMP_DIR)/"-prefixed counterparts.
-
-# Define a harmless default rule to keep things from going nuts by accident.
-.PHONY: default
-default:
-
-# Set up the $(STAMP_DIR) directory.
-.PHONY: stampdir
-stampdir_targets+=stampdir
-stampdir: $(STAMP_DIR)/stampdir
-$(STAMP_DIR)/stampdir:
-	mkdir $(STAMP_DIR)
-	>$@
-
-# Set up the package build directory as quilt expects to find it.
-.PHONY: prepare
-stampdir_targets+=prepare
-prepare: $(STAMP_DIR)/prepare
-$(STAMP_DIR)/prepare: $(STAMP_DIR)/logdir $(STAMP_DIR)/genscripts
-	>$@
-
-.PHONY: logdir
-stampdir_targets+=logdir
-logdir: $(STAMP_DIR)/logdir
-$(STAMP_DIR)/logdir: $(STAMP_DIR)/stampdir
-	mkdir -p $(STAMP_DIR)/log
-	>$@
-
-# Apply all patches to the upstream source.
-.PHONY: patch
-stampdir_targets+=patch
-patch: $(STAMP_DIR)/patch
-$(STAMP_DIR)/patch: $(STAMP_DIR)/prepare
-	if ! [ `which quilt` ]; then \
-		echo "Couldn't find quilt. Please install it or add it to the build-depends for this package."; \
-		exit 1; \
-	fi; \
-	if $(QUILT) next >/dev/null 2>&1; then \
-	  echo -n "Applying patches..."; \
-	  if $(QUILT) push -a -v >$(STAMP_DIR)/log/patch 2>&1; then \
-	    cat $(STAMP_DIR)/log/patch; \
-	    echo "successful."; \
-	  else \
-	    cat $(STAMP_DIR)/log/patch; \
-	    echo "failed! (check $(STAMP_DIR)/log/patch for details)"; \
-	    exit 1; \
-	  fi; \
-	else \
-	  echo "No patches to apply"; \
-	fi; \
-	>$@
-
-# Revert all patches to the upstream source.
-.PHONY: unpatch
-unpatch: $(STAMP_DIR)/logdir
-	rm -f $(STAMP_DIR)/patch
-	@echo -n "Unapplying patches..."; \
-	if $(QUILT) applied >/dev/null 2>/dev/null; then \
-	  if $(QUILT) pop -a -v >$(STAMP_DIR)/log/unpatch 2>&1; then \
-	    cat $(STAMP_DIR)/log/unpatch; \
-	    echo "successful."; \
-	  else \
-	    cat $(STAMP_DIR)/log/unpatch; \
-	    echo "failed! (check $(STAMP_DIR)/log/unpatch for details)"; \
-	    exit 1; \
-	  fi; \
-	else \
-	  echo "nothing to do."; \
-	fi
-
-# Clean the generated maintainer scripts.
-.PHONY: cleanscripts
-cleanscripts:
-	rm -f $(STAMP_DIR)/genscripts
-	rm -f debian/*.config \
-	      debian/*.postinst \
-	      debian/*.postrm \
-	      debian/*.preinst \
-	      debian/*.prerm
-
-# Clean the package build tree.
-.PHONY: xsfclean
-xsfclean: cleanscripts unpatch
-	dh_testdir
-	rm -rf .pc
-	rm -rf $(STAMP_DIR)
-	dh_clean
-
-# Remove files from the upstream source tree that we don't need, or which have
-# licensing problems.  It must be run before creating the .orig.tar.gz.
-#
-# Note: This rule is for Debian package maintainers' convenience, and is not
-# needed for conventional build scenarios.
-.PHONY: prune-upstream-tree
-prune-upstream-tree:
-	# Ensure we're in the correct directory.
-	dh_testdir
-	grep -rvh '^#' debian/prune/ | xargs --no-run-if-empty rm -rf
-
-# Verify that there are no offsets or fuzz in the patches we apply.
-#
-# Note: This rule is for Debian package maintainers' convenience, and is not
-# needed for conventional build scenarios.
-.PHONY: patch-audit
-patch-audit: prepare unpatch
-	@echo -n "Auditing patches..."; \
-	>$(STAMP_DIR)/log/patch; \
-	FUZZY=; \
-	while [ -n "$$($(QUILT) next)" ]; do \
-	  RESULT=$$($(QUILT) push -v | tee -a $(STAMP_DIR)/log/patch | grep ^Hunk | sed 's/^Hunk.*\(succeeded\|FAILED\).*/\1/');\
-	  case "$$RESULT" in \
-	    succeeded) \
-	      echo "fuzzy patch: $$($(QUILT) top)" \
-	        | tee -a $(STAMP_DIR)/log/$$($(QUILT) top); \
-	      FUZZY=yes; \
-	      ;; \
-	    FAILED) \
-	      echo "broken patch: $$($(QUILT) next)" \
-	        | tee -a $(STAMP_DIR)/log/$$($(QUILT) next); \
-	      exit 1; \
-	      ;; \
-	  esac; \
-	done; \
-	if [ -n "$$FUZZY" ]; then \
-	  echo "there were fuzzy patches; please fix."; \
-	  exit 1; \
-	else \
-	  echo "done."; \
-	fi
-
-# Generate the maintainer scripts.
-.PHONY: genscripts
-stampdir_targets+=genscripts
-genscripts: $(STAMP_DIR)/genscripts
-$(STAMP_DIR)/genscripts: $(STAMP_DIR)/stampdir
-	for FILE in debian/*.config.in \
-	            debian/*.postinst.in \
-	            debian/*.postrm.in \
-	            debian/*.preinst.in \
-	            debian/*.prerm.in; do \
-	  if [ -e "$$FILE" ]; then \
-	    MAINTSCRIPT=$$(echo $$FILE | sed 's/.in$$//'); \
-	    sed -n '1,/^#INCLUDE_SHELL_LIB#$$/p' <$$FILE \
-	      | sed -e '/^#INCLUDE_SHELL_LIB#$$/d' >$$MAINTSCRIPT.tmp; \
-	    cat debian/xsfbs/xsfbs.sh >>$$MAINTSCRIPT.tmp; \
-	    sed -n '/^#INCLUDE_SHELL_LIB#$$/,$$p' <$$FILE \
-	      | sed -e '/^#INCLUDE_SHELL_LIB#$$/d' >>$$MAINTSCRIPT.tmp; \
-	    sed -e 's/@SOURCE_VERSION@/$(SOURCE_VERSION)/' \
-	        -e 's/@OFFICIAL_BUILD@/$(OFFICIAL_BUILD)/' \
-	      <$$MAINTSCRIPT.tmp >$$MAINTSCRIPT; \
-	    rm $$MAINTSCRIPT.tmp; \
-	  fi; \
-	done
-	# Validate syntax of generated shell scripts.
-	#sh debian/scripts/validate-posix-sh debian/*.config \
-	#                                    debian/*.postinst \
-	#                                    debian/*.postrm \
-	#                                    debian/*.preinst \
-	#                                    debian/*.prerm
-	>$@
-
-# Compute dependencies for drivers
-#
-VIDEODEP = $(shell cat /usr/share/xserver-xorg/videodrvdep 2>/dev/null)
-INPUTDEP = $(shell cat /usr/share/xserver-xorg/xinputdep 2>/dev/null)
-
-# these two can be removed post-squeeze
-VIDEOABI = $(shell cat /usr/share/xserver-xorg/videoabiver 2>/dev/null)
-INPUTABI = $(shell cat /usr/share/xserver-xorg/inputabiver 2>/dev/null)
-VIDDRIVER_PROVIDES = xserver-xorg-video-$(VIDEOABI)
-INPDRIVER_PROVIDES = xserver-xorg-input-$(INPUTABI)
-
-ifeq ($(PACKAGE),)
-PACKAGE=$(shell awk '/^Package:/ { print $$2; exit }' < debian/control)
-endif
-
-.PHONY: serverabi
-serverabi: install
-ifeq ($(VIDEODEP),)
-	@echo 'error: xserver-xorg-dev >= 1.7.6.901 needs to be installed'
-	@exit 1
-else
-	echo "xviddriver:Depends=$(VIDEODEP)" >> debian/$(PACKAGE).substvars
-	echo "xinpdriver:Depends=$(INPUTDEP)" >> debian/$(PACKAGE).substvars
-	# the following is there for compatibility...
-	echo "xviddriver:Provides=$(VIDDRIVER_PROVIDES)" >> debian/$(PACKAGE).substvars
-	echo "xinpdriver:Provides=$(INPDRIVER_PROVIDES)" >> debian/$(PACKAGE).substvars
-	echo "xserver:Depends=$(VIDEODEP), $(INPUTDEP)" >> debian/$(PACKAGE).substvars
-endif
-
-# vim:set noet ai sts=8 sw=8 tw=0:
diff --git a/debian/xsfbs/xsfbs.sh b/debian/xsfbs/xsfbs.sh
deleted file mode 100644
index 813fd8d..0000000
--- a/debian/xsfbs/xsfbs.sh
+++ /dev/null
@@ -1,622 +0,0 @@
-# This is the X Strike Force shell library for X Window System package
-# maintainer scripts.  It serves to define shell functions commonly used by
-# such packages, and performs some error checking necessary for proper operation
-# of those functions.  By itself, it does not "do" much; the maintainer scripts
-# invoke the functions defined here to accomplish package installation and
-# removal tasks.
-
-# If you are reading this within a Debian package maintainer script (e.g.,
-# /var/lib/dpkg/info/PACKAGE.{config,preinst,postinst,prerm,postrm}), you can
-# skip past this library by scanning forward in this file to the string
-# "GOBSTOPPER".
-
-SOURCE_VERSION=@SOURCE_VERSION@
-OFFICIAL_BUILD=@OFFICIAL_BUILD@
-
-# Use special abnormal exit codes so that problems with this library are more
-# easily tracked down.
-SHELL_LIB_INTERNAL_ERROR=86
-SHELL_LIB_THROWN_ERROR=74
-SHELL_LIB_USAGE_ERROR=99
-
-# old -> new variable names
-if [ -z "$DEBUG_XORG_PACKAGE" ] && [ -n "$DEBUG_XFREE86_PACKAGE" ]; then
-  DEBUG_XORG_PACKAGE="$DEBUG_XFREE86_PACKAGE"
-fi
-if [ -z "$DEBUG_XORG_DEBCONF" ] && [ -n "$DEBUG_XFREE86_DEBCONF" ]; then
-  DEBUG_XORG_DEBCONF="$DEBUG_XFREE86_DEBCONF"
-fi
-
-# initial sanity checks
-if [ -z "$THIS_PACKAGE" ]; then
-  cat >&2 <<EOF
-Error: package maintainer script attempted to use shell library without
-definining \$THIS_PACKAGE shell variable.  Please report the package name,
-version, and the text of this error message to the Debian Bug Tracking System.
-Visit <http://www.debian.org/Bugs/Reporting> on the World Wide Web for
-instructions, read the file /usr/share/doc/debian/bug-reporting.txt from the
-"doc-debian" package, or install the "reportbug" package and use the command of
-the same name to file a report against version $SOURCE_VERSION of this package.
-EOF
-  exit $SHELL_LIB_USAGE_ERROR
-fi
-
-if [ -z "$THIS_SCRIPT" ]; then
-  cat >&2 <<EOF
-Error: package maintainer script attempted to use shell library without
-definining \$THIS_SCRIPT shell variable.  Please report the package name,
-version, and the text of this error message to the Debian Bug Tracking System.
-Visit <http://www.debian.org/Bugs/Reporting> on the World Wide Web for
-instructions, read the file /usr/share/doc/debian/bug-reporting.txt from the
-"doc-debian" package, or install the "reportbug" package and use the command of
-the same name to file a report against version $SOURCE_VERSION of the
-"$THIS_PACKAGE" package.
-EOF
-  exit $SHELL_LIB_USAGE_ERROR
-fi
-
-if [ "$1" = "reconfigure" ] || [ -n "$DEBCONF_RECONFIGURE" ]; then
-  RECONFIGURE="true"
-else
-  RECONFIGURE=
-fi
-
-if ([ "$1" = "install" ] || [ "$1" = "configure" ]) && [ -z "$2" ]; then
-  FIRSTINST="yes"
-fi
-
-if [ -z "$RECONFIGURE" ] && [ -z "$FIRSTINST" ]; then
-  UPGRADE="yes"
-fi
-
-trap "message;\
-      message \"Received signal.  Aborting $THIS_PACKAGE package $THIS_SCRIPT script.\";\
-      message;\
-      exit 1" HUP INT QUIT TERM
-
-reject_nondigits () {
-  # syntax: reject_nondigits [ operand ... ]
-  #
-  # scan operands (typically shell variables whose values cannot be trusted) for
-  # characters other than decimal digits and barf if any are found
-  while [ -n "$1" ]; do
-    # does the operand contain anything but digits?
-    if ! expr "$1" : "[[:digit:]]\+$" > /dev/null 2>&1; then
-      # can't use die(), because it wraps message() which wraps this function
-      echo "$THIS_PACKAGE $THIS_SCRIPT error: reject_nondigits() encountered" \
-           "possibly malicious garbage \"$1\"" >&2
-      exit $SHELL_LIB_THROWN_ERROR
-    fi
-    shift
-  done
-}
-
-reject_unlikely_path_chars () {
-  # syntax: reject_unlikely_path_chars [ operand ... ]
-  #
-  # scan operands (typically shell variables whose values cannot be trusted) for
-  # characters unlikely to be seen in a path and which the shell might
-  # interpret and barf if any are found
-  while [ -n "$1" ]; do
-    # does the operand contain any funny characters?
-    if expr "$1" : '.*[!$&()*;<>?|].*' > /dev/null 2>&1; then
-      # can't use die(), because I want to avoid forward references
-      echo "$THIS_PACKAGE $THIS_SCRIPT error: reject_unlikely_path_chars()" \
-           "encountered possibly malicious garbage \"$1\"" >&2
-      exit $SHELL_LIB_THROWN_ERROR
-    fi
-    shift
-  done
-}
-
-# Query the terminal to establish a default number of columns to use for
-# displaying messages to the user.  This is used only as a fallback in the
-# event the COLUMNS variable is not set.  ($COLUMNS can react to SIGWINCH while
-# the script is running, and this cannot, only being calculated once.)
-DEFCOLUMNS=$(stty size 2> /dev/null | awk '{print $2}') || true
-if ! expr "$DEFCOLUMNS" : "[[:digit:]]\+$" > /dev/null 2>&1; then
-  DEFCOLUMNS=80
-fi
-
-message () {
-  # pretty-print messages of arbitrary length
-  reject_nondigits "$COLUMNS"
-  echo "$*" | fmt -t -w ${COLUMNS:-$DEFCOLUMNS} >&2
-}
-
-observe () {
-  # syntax: observe message ...
-  #
-  # issue observational message suitable for logging someday when support for
-  # it exists in dpkg
-  if [ -n "$DEBUG_XORG_PACKAGE" ]; then
-    message "$THIS_PACKAGE $THIS_SCRIPT note: $*"
-  fi
-}
-
-warn () {
-  # syntax: warn message ...
-  #
-  # issue warning message suitable for logging someday when support for
-  # it exists in dpkg; also send to standard error
-  message "$THIS_PACKAGE $THIS_SCRIPT warning: $*"
-}
-
-die () {
-  # syntax: die message ...
-  #
-  # exit script with error message
-  message "$THIS_PACKAGE $THIS_SCRIPT error: $*"
-  exit $SHELL_LIB_THROWN_ERROR
-}
-
-internal_error () {
-  # exit script with error; essentially a "THIS SHOULD NEVER HAPPEN" message
-  message "internal error: $*"
-  if [ -n "$OFFICIAL_BUILD" ]; then
-    message "Please report a bug in the $THIS_SCRIPT script of the" \
-            "$THIS_PACKAGE package, version $SOURCE_VERSION to the Debian Bug" \
-            "Tracking System.  Include all messages above that mention the" \
-            "$THIS_PACKAGE package.  Visit " \
-            "<http://www.debian.org/Bugs/Reporting> on the World Wide Web for" \
-            "instructions, read the file" \
-            "/usr/share/doc/debian/bug-reporting.txt from the doc-debian" \
-            "package, or install the reportbug package and use the command of" \
-            "the same name to file a report."
-  fi
-  exit $SHELL_LIB_INTERNAL_ERROR
-}
-
-usage_error () {
-  message "usage error: $*"
-  message "Please report a bug in the $THIS_SCRIPT script of the" \
-          "$THIS_PACKAGE package, version $SOURCE_VERSION to the Debian Bug" \
-          "Tracking System.  Include all messages above that mention the" \
-          "$THIS_PACKAGE package.  Visit " \
-          "<http://www.debian.org/Bugs/Reporting> on the World Wide Web for" \
-          "instructions, read the file" \
-          "/usr/share/doc/debian/bug-reporting.txt from the doc-debian" \
-          "package, or install the reportbug package and use the command of" \
-          "the same name to file a report."
-  exit $SHELL_LIB_USAGE_ERROR
-}
-
-font_update () {
-  # run $UPDATECMDS in $FONTDIRS
-
-  local dir cmd shortcmd x_font_dir_prefix
-
-  x_font_dir_prefix="/usr/share/fonts/X11"
-
-  if [ -z "$UPDATECMDS" ]; then
-    usage_error "font_update() called but \$UPDATECMDS not set"
-  fi
-  if [ -z "$FONTDIRS" ]; then
-    usage_error "font_update() called but \$FONTDIRS not set"
-  fi
-
-  reject_unlikely_path_chars "$UPDATECMDS"
-  reject_unlikely_path_chars "$FONTDIRS"
-
-  for dir in $FONTDIRS; do
-    if [ -d "$x_font_dir_prefix/$dir" ]; then
-      for cmd in $UPDATECMDS; do
-        if which "$cmd" > /dev/null 2>&1; then
-          shortcmd=${cmd##*/}
-          observe "running $shortcmd in $dir font directory"
-	  cmd_opts=
-          if [ "$shortcmd" = "update-fonts-alias" ]; then
-            cmd_opts=--x11r7-layout
-          fi
-          if [ "$shortcmd" = "update-fonts-dir" ]; then
-            cmd_opts=--x11r7-layout
-          fi
-          if [ "$shortcmd" = "update-fonts-scale" ]; then
-            cmd_opts=--x11r7-layout
-          fi
-          $cmd $cmd_opts $dir || warn "$cmd $cmd_opts $dir" \
-                              "failed; font directory data may not" \
-                              "be up to date"
-        else
-          warn "$cmd not found; not updating corresponding $dir font" \
-               "directory data"
-        fi
-      done
-    else
-      warn "$dir is not a directory; not updating font directory data"
-    fi
-  done
-}
-
-remove_conffile_prepare () {
-  # syntax: remove_conffile_prepare filename official_md5sum ...
-  #
-  # Check a conffile "filename" against a list of canonical MD5 checksums.
-  # If the file's current MD5 checksum matches one of the "official_md5sum"
-  # operands provided, then prepare the conffile for removal from the system.
-  # We defer actual deletion until the package is configured so that we can
-  # roll this operation back if package installation fails.
-  #
-  # Call this function from a preinst script in the event $1 is "upgrade" or
-  # "install" and verify $2 to ensure the package is being upgraded from a
-  # version (or installed over a version removed-but-not-purged) prior to the
-  # one in which the conffile was obsoleted.
-
-  local conffile current_checksum
-
-  # validate arguments
-  if [ $# -lt 2 ]; then
-    usage_error "remove_conffile_prepare() called with wrong number of" \
-                "arguments; expected at least 2, got $#"
-    exit $SHELL_LIB_USAGE_ERROR
-  fi
-
-  conffile="$1"
-  shift
-
-  # does the conffile even exist?
-  if [ -e "$conffile" ]; then
-    # calculate its checksum
-    current_checksum=$(md5sum < "$conffile" | sed 's/[[:space:]].*//')
-    # compare it to each supplied checksum
-    while [ -n "$1" ]; do
-      if [ "$current_checksum" = "$1" ]; then
-        # we found a match; move the confffile and stop looking
-        observe "preparing obsolete conffile $conffile for removal"
-        mv "$conffile" "$conffile.$THIS_PACKAGE-tmp"
-        break
-      fi
-      shift
-    done
-  fi
-}
-
-remove_conffile_lookup () {
-  # syntax: remove_conffile_lookup package filename
-  #
-  # Lookup the md5sum of a conffile in dpkg's database, and prepare for removal
-  # if it matches the actual file's md5sum.
-  #
-  # Call this function when you would call remove_conffile_prepare but only
-  # want to check against dpkg's status database instead of known checksums.
-
-  local package conffile old_md5sum
-
-  # validate arguments
-  if [ $# -ne 2 ]; then
-    usage_error "remove_conffile_lookup() called with wrong number of" \
-                "arguments; expected 1, got $#"
-    exit $SHELL_LIB_USAGE_ERROR
-  fi
-
-  package="$1"
-  conffile="$2"
-
-  if ! [ -e "$conffile" ]; then
-    return
-  fi
-  old_md5sum="$(dpkg-query -W -f='${Conffiles}' "$package" | \
-    awk '{ if (match($0, "^ '"$conffile"' ")) print $2}')"
-  if [ -n "$old_md5sum" ]; then
-    remove_conffile_prepare "$conffile" "$old_md5sum"
-  fi
-}
-
-remove_conffile_commit () {
-  # syntax: remove_conffile_commit filename
-  #
-  # Complete the removal of a conffile "filename" that has become obsolete.
-  #
-  # Call this function from a postinst script after having used
-  # remove_conffile_prepare() in the preinst.
-
-  local conffile
-
-  # validate arguments
-  if [ $# -ne 1 ]; then
-    usage_error "remove_conffile_commit() called with wrong number of" \
-                "arguments; expected 1, got $#"
-    exit $SHELL_LIB_USAGE_ERROR
-  fi
-
-  conffile="$1"
-
-  # if the temporary file created by remove_conffile_prepare() exists, remove it
-  if [ -e "$conffile.$THIS_PACKAGE-tmp" ]; then
-    observe "committing removal of obsolete conffile $conffile"
-    rm "$conffile.$THIS_PACKAGE-tmp"
-  fi
-}
-
-remove_conffile_rollback () {
-  # syntax: remove_conffile_rollback filename
-  #
-  # Roll back the removal of a conffile "filename".


Reply to: